Subject: Re: [PATCH net-next 1/2] net: cs89x0: remove ISA bus probing

From: Simon Horman <[email-masked]>
Date: Fri, 1 May 2026 15:21:43 +0100

On Wed, Apr 29, 2026 at 04:55:45PM +0200, Arnd Bergmann wrote:
> From: Arnd Bergmann <[email-masked]>
> 
> The cs89x0 driver is really two in one, and they are mutually exclusive:
> 
>  - the ISA driver was used on 486-era PCs. It likely has no remaining
>    users, like the other ethernet drivers that got removed in
>    linux-7.1. The DMA support in here is the last device driver use of
>    the deprecated isa_bus_to_virt() interface, all other users are either
>    x86 specific or or got converted to the normal dma-mapping interface.
>    The driver was maintained by Andrew Morton at the time, based on
>    the linux-2.2 vendor driver from Cirrus Logic.
> 
>  - the platform_driver instance was used on some embedded Arm boards
>    around the same time, such as the EP7211 Development Kit. This
>    is the same chip, but uses modern devicetree based probing and no DMA.
>    This was added by Alexander Shiyan.
> 
> Remove the ISA driver as a cleanup, including all of the outdated
> documentation referring to its configuration.
> 
> Cc: Andrew Morton <[email-masked]>
> Signed-off-by: Arnd Bergmann <[email-masked]>

Thanks Arnd,

With the increase in both AI generated patches and review,
and the maintainer effort required to process these, the
cost of maintaining unused code has become entirely non-negligible.
So I welcome efforts to reduce that surface.

I note that there is an AI generated review of this patch available on
sashkio.dev. I believe that covers only pre-existing issues.  And I
illustrates the point I've made above. I do not believe that review should
block progress of this patch.

Reviewed-by: Simon Horman <[email-masked]>

...